// "Legacy" C++ game engine source code...

/*
 * This object provides an array of Number Tile objects.
 *	Number Tiles are used to display the remaining
 *	number of tiles on the Game Board.
 */


#import	"mj.h"
#import	"NumberTile.h"


// Number of digits from 0-9.

#define	NUMBER_OF_NUMBER_TILES	10


class NumberTileArray
{
private:
    NumberTile*	number_tiles[ NUMBER_OF_NUMBER_TILES ];

public:
    NumberTileArray( void );
    ~NumberTileArray( void );	

    // Index into the array to an element.
    
    NumberTile&	operator[]( int );
};

