/* FarmMJGameInterfaceProtocol.h created by tomi on Sat 20-Mar-1999 */

#import <Cocoa/Cocoa.h>

@protocol FarmMJGameInterfaceProtocol

// These methods are targets of buttons	and views.  The interface translates
//	the Objective-C calls to C++ calls of the apprpriate object.

- (void)undoClick:(id)sender;
- (void)helpClick:(id)sender;
- (void)againClick:(id)sender;
- (void)newClick:(id)sender;

// These are interface methods between the Game Board's view and the Game Coordinator.

- (void)gameBoardDraw;
- (void)click:(NSPoint)aPoint;
- (void)doubleClick:(NSPoint)aPoint;

// These are interface methods between the Time Count's view and the Tile Count Manager.

- (void)tileCountDraw;

@end
