/* FarmMJGameTile.h created by tomi on Sun 31-Dec-2000 */

/*
#import <Cocoa/Cocoa.h>


typedef enum _FarmMJTileType
{
    EastWindTile = 1,
    WestWindTile,
    NorthWindTile,
    SouthWindTile,
    WinterSeasonTile,
    SpringSeasonTile,
    SummerSeasonTile,
    AutumnSeasonTile,
    CircleOneTile,
    CircleTwoTile,
    CircleThreeTile,
    CircleFourTile,
    CircleFiveTile,
    CircleSixTile,
    CircleSevenTile,
    CircleEightTile,
    CircleNineTile,
    BambooOneTile,
    BambooTwoTile,
    BambooThreeTile,
    BambooFourTile,
    BambooFiveTile,
    BambooSixTile,
    BambooSevenTile,
    BambooEightTile,
    BambooNineTile,
    CharacterOneTile,
    CharacterTwoTile,
    CharacterThreeTile,
    CharacterFourTile,
    CharacterFiveTile,
    CharacterSixTile,
    CharacterSevenTile,
    CharacterEightTile,
    CharacterNineTile,
    WhiteTile,
    RedTile,
    GreenTile,
    BambooTile,
    PlumTile,
    OrchidTile,
    ChrysanthemumTile
} FarmMJTileType;

@interface FarmMJGameTile : NSObject
{
    int		_tag;   // Needed ?

    struct __tileFlags {
        unsigned int        selected:1;
        unsigned int        selectable:1;
        unsigned int        touched:1;
        unsigned int        reserved:29;
    } _tileFlags;
}

+ (NSArray *)allTiles;
+ (NSArray *)scrambledTiles;

+ (NSString *)_nameForType:(FarmMJTileType)aType;

- (void)initWithType:(FarmMJTileType)aType;

- (FarmMJTileType)type;
- (NSString *)name;

- (BOOL)isSelected;
- (void)setSelected:(BOOL)flag;

- (BOOL)isSelectable;
- (void)setSelectable:(BOOL)flag;

- (BOOL)isTouched;
- (void)setTouched:(BOOL)flag;

@end

*/