/*
 * This object is used to display the number of tiles remaining in the game.
 *
 * This object has only one method, drawRect:. In this method
 * the view is painted by compositing the number tiles.
 * All work is done by the C++ subsystem. We are mainly providing a window into the
 * graphics system.
 */

// Our superclass
#import	<Cocoa/Cocoa.h>


@interface FarmMJTileCountView : NSView
{
    id		gameInterface;
}

- (void)dealloc;

- (void)drawRect:(NSRect)rect;

@end
